org.apache.jorphan.gui

## Class ComponentUtil

- java.lang.Object
- - org.apache.jorphan.gui.ComponentUtil

-     public final class ComponentUtil
      extends java.lang.Object

  This class is a Util for awt Component and could be used to place them in center of an other.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `centerComponentInComponent(java.awt.Component parent, java.awt.Component toBeCentered)` Use this static method if you want to center a component over another component.
    `static void` | `centerComponentInWindow(java.awt.Component component)` Use this static method if you want to center a component in Window.
    `static void` | `centerComponentInWindow(java.awt.Component component, int percentOfScreen)` Use this static method if you want to center and set its position compared to the size of the current users screen size.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### centerComponentInWindow

          public static void centerComponentInWindow(java.awt.Component component,
                                                     int percentOfScreen)

      Use this static method if you want to center and set its position compared to the size of the current users screen size. Valid percent is between +-(0-100) minus is treated as plus, bigger than 100 is always set to 100.
      Parameters:
        `component` - the component you want to center and set size on
        `percentOfScreen` - the percent of the current screensize you want the component to be

    - #### centerComponentInWindow

          public static void centerComponentInWindow(java.awt.Component component)

      Use this static method if you want to center a component in Window.
      Parameters:
        `component` - the component you want to center in window

    - #### centerComponentInComponent

          public static void centerComponentInComponent(java.awt.Component parent,
                                                        java.awt.Component toBeCentered)

      Use this static method if you want to center a component over another component.
      Parameters:
        `parent` - the component you want to use to place it on
        `toBeCentered` - the component you want to center

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.